
Redmine - Defect #34451

error getting after upgrade redmine from 3.4.13.stable to 4.1.1

2020-12-14 09:20 - Juraj Hajka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

Hi all,

I finished upgrade, during upgrade redmine or plugins no error or warnings .

I was upgrading from following configuration.

Environment:

Redmine version                3.4.13.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version                  4.2.11.1

Environment                    production

Database adapter               Mysql2

SCM:

Git                            2.20.1

Filesystem

Redmine plugins:

redmine_contacts               4.3.2

redmine_contacts_helpdesk      4.1.11

redmine_reporter               1.0.3

Login screen will not appear.

I see this in logs.

plugins/redmine_contacts/lib/redmine_contacts.rb:75:in `settings'

plugins/redmine_contacts/app/models/contacts_setting.rb:124:in `settings'

plugins/redmine_contacts/app/models/contacts_setting.rb:58:in `contacts_show_in_top_menu?'

plugins/redmine_contacts/init.rb:128:in `block (2 levels) in <top (required)>'

lib/redmine/menu_manager.rb:487:in `allowed?'

lib/redmine/menu_manager.rb:197:in `block in menu_items_for'

lib/redmine/menu_manager.rb:196:in `each'

lib/redmine/menu_manager.rb:196:in `menu_items_for'

lib/redmine/menu_manager.rb:115:in `render_menu'

app/views/layouts/base.html.erb:66:in `_app_views_layouts_base_html_erb___2715056335201344404_47038341947720'

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Current user: admin (id=1)

Rendering welcome/index.html.erb within layouts/base

Rendered welcome/index.html.erb within layouts/base (25.2ms)

Rendered plugins/redmine_contacts/app/views/common/_additional_assets.html.erb (1.1ms)

Completed 500 Internal Server Error in 118ms (ActiveRecord: 11.9ms)

ActionView::Template::Error (undefined method `with_indifferent_access' for #<ActionController::Parameters:0x0000558ff2419fd8>):

63: <div id="top-menu">

64:     <div id="account">

65:         <%= render_menu :account_menu ->

66:     </div>

67:     <= content_tag('div', "#{l(:label_logged_as)} #{link_to_user(User.current, :format => :username)}".html_safe, :id => 'loggedas')

if User.current.logged? >

68:     <= render_menu :top_menu if User.current.logged? || !Setting.login_required? -%>

thanks for any help.

History
#1 - 2020-12-14 10:55 - Go MAEDA

I think the error is caused by a third-party plugin named "redmine_contacts". Please contact the author of the plugin.

#2 - 2021-02-26 10:48 - Dennis Buehring

Hi,

i have the same problem. Did you solve it ?

This is caused by the plugin settings in the database... from an older version of the plugin i guess...

If i remove those entries Redmine works, but my settings are recreated with the defaults..

I thought this would be handled by the migrations when installing a newer plugin, but maybe im wrong ?

*************************** 66. row ***************************

id: 66

name: plugin_redmine_contacts

value: --- !ruby/object:ActionController::Parameters

parameters: !ruby/hash:ActiveSupport::HashWithIndifferentAccess

name_format: lastname_coma_firstname

default_list_style: list

post_address_format: "%street1%\r\n%street2%\r\n%postcode% %city%\r\n%region%\r\n%country%"

default_country: DE

note_authoring_time: '1'

default_tax: '0.0'

tax_type: '1'

default_currency: EUR

major_currencies: USD, EUR, GBP, RUB, CHF

thousands_delimiter: " "

decimal_separator: "."

projects: !ruby/hash:ActiveSupport::HashWithIndifferentAccess

34: !ruby/hash:ActiveSupport::HashWithIndifferentAccess

helpdesk_answer_from: helpdesk@domain.de

helpdesk_is_not_create_contacts: '0'

#3 - 2022-01-03 06:35 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

#4 - 2022-12-21 06:48 - Dimitar (RedmineUP)

Dear Juraj,

This problem is caused by our redmine_contacts plugin and it is fixed by our developers. Please contact us at support@redmineup.com and our

support engineers will send you the fixed version of the plugin.

We look forward to hearing from you.

Juraj Hajka wrote:

Hi all,

I finished upgrade, during upgrade redmine or plugins no error or warnings .

I was upgrading from following configuration.

Environment:

Redmine version                3.4.13.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version                  4.2.11.1

Environment                    production

Database adapter               Mysql2

SCM:

Git                            2.20.1

Filesystem

Redmine plugins:

redmine_contacts               4.3.2

redmine_contacts_helpdesk      4.1.11

redmine_reporter               1.0.3

Login screen will not appear.

I see this in logs.

plugins/redmine_contacts/lib/redmine_contacts.rb:75:in `settings'

plugins/redmine_contacts/app/models/contacts_setting.rb:124:in `settings'

plugins/redmine_contacts/app/models/contacts_setting.rb:58:in `contacts_show_in_top_menu?'

plugins/redmine_contacts/init.rb:128:in `block (2 levels) in <top (required)>'

lib/redmine/menu_manager.rb:487:in `allowed?'
lib/redmine/menu_manager.rb:197:in `block in menu_items_for'

lib/redmine/menu_manager.rb:196:in `each'

lib/redmine/menu_manager.rb:196:in `menu_items_for'

lib/redmine/menu_manager.rb:115:in `render_menu'

app/views/layouts/base.html.erb:66:in `_app_views_layouts_base_html_erb___2715056335201344404_47038341947720'

lib/redmine/sudo_mode.rb:65:in `sudo_mode'

Current user: admin (id=1)

Rendering welcome/index.html.erb within layouts/base

Rendered welcome/index.html.erb within layouts/base (25.2ms)

Rendered plugins/redmine_contacts/app/views/common/_additional_assets.html.erb (1.1ms)

Completed 500 Internal Server Error in 118ms (ActiveRecord: 11.9ms)

ActionView::Template::Error (undefined method `with_indifferent_access' for #<ActionController::Parameters:0x0000558ff2419fd8>):

63: <div id="top-menu">

64:     <div id="account">

65:         <%= render_menu :account_menu ->

66:     </div>

67:     <= content_tag('div', "#{l(:label_logged_as)} #{link_to_user(User.current, :format => :username)}".html_safe, :id => 'loggedas') if

User.current.logged? >

68:     <= render_menu :top_menu if User.current.logged? || !Setting.login_required? -%>

thanks for any help.

#5 - 2022-12-21 06:51 - Dimitar (RedmineUP)

Dear Dennis,

This is Dimitar from the RedmineUP Support Team.

The reported problem is caused by our redmine_contacts plugin and it is fixed by our developers. Please contact us at support@redmineup.com and

our support engineers will send you the fixed version of the plugin.

We look forward to hearing from you.

Dennis Buehring wrote:

Hi,

i have the same problem. Did you solve it ?

This is caused by the plugin settings in the database... from an older version of the plugin i guess...

If i remove those entries Redmine works, but my settings are recreated with the defaults..

I thought this would be handled by the migrations when installing a newer plugin, but maybe im wrong ?

*************************** 66. row ***************************

id: 66

name: plugin_redmine_contacts

value: --- !ruby/object:ActionController::Parameters

parameters: !ruby/hash:ActiveSupport::HashWithIndifferentAccess

name_format: lastname_coma_firstname

default_list_style: list

post_address_format: "%street1%\r\n%street2%\r\n%postcode% %city%\r\n%region%\r\n%country%"

default_country: DE

note_authoring_time: '1'

default_tax: '0.0'

tax_type: '1'

default_currency: EUR

major_currencies: USD, EUR, GBP, RUB, CHF

thousands_delimiter: " "

decimal_separator: "."

projects: !ruby/hash:ActiveSupport::HashWithIndifferentAccess

34: !ruby/hash:ActiveSupport::HashWithIndifferentAccess

helpdesk_answer_from: helpdesk@domain.de

helpdesk_is_not_create_contacts: '0'
